%define anolis_release 1
%global dropdir %(pkg-config libpcsclite --variable usbdropdir 2>/dev/null)
%global pcsc_lite_ver 1.8.9

Name:           pcsc-lite-ccid
Version:        1.5.0
Release:        %{anolis_release}%{?dist}
Summary:        Generic USB CCID smart card reader driver

License:        LGPLv2+
URL:            https://ccid.apdu.fr/files
Source0:        https://ccid.apdu.fr/files/ccid-%{version}.tar.bz2

BuildRequires: make
BuildRequires:  perl-interpreter
BuildRequires:  perl-Getopt-Long
BuildRequires:  libusb1-devel
BuildRequires:  pcsc-lite-devel >= %{pcsc_lite_ver}
BuildRequires:  gnupg2 gcc
Requires(post): systemd
Requires(postun): systemd
Requires:       pcsc-lite%{?_isa} >= %{pcsc_lite_ver}
Provides:       pcsc-ifd-handler
Obsoletes:      ccid < 1.4.0-3
Provides:       ccid = %{version}-%{release}
Provides:       bundled(simclist) = 1.6

%description
Generic USB CCID (Chip/Smart Card Interface Devices) driver for use with the
PC/SC Lite daemon.


%prep
%setup -q -n ccid-%{version}

%build
%configure --enable-twinserial
%make_build


%install
%make_install
cp -p src/openct/LICENSE LICENSE.openct


%post
/bin/systemctl try-restart pcscd.service >/dev/null 2>&1 || :

%postun
/bin/systemctl try-restart pcscd.service >/dev/null 2>&1 || :


%files
%doc AUTHORS ChangeLog README.md
%license COPYING LICENSE.openct
%{dropdir}/ifd-ccid.bundle/
%{dropdir}/serial/
%config(noreplace) %{_sysconfdir}/reader.conf.d/libccidtwin


%changelog
* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.5.0-1
- init from upstream 1.5.0
